<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/user/models/profile';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Профиль'),
            titleField: 'username',
            model: model,
            http: {
                method: 'POST',
                path: 'user/profile',
            },
            redirectPath: 'user/profile',
            afterSubmit: (context, form, responseBody) => {
                toastr.success(context.__('Профиль успешно сохранён'));

                this.booted.helpers.user.login(this, form.username, form.new_password);
                context.booted.components.app.$data.appChildKey++;
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons :actions="['save']" />
    </PageTitle>

    <Item child="form" />
</template>
